import request from '@/utils/request'

// 查询网络安全支持单位列表
export function listWlaqzcqy(query) {
  return request({
    url: '/tcZz/networkEcology/wlaqzcqy/list',
    method: 'get',
    params: query
  })
}

// 查询网络安全支持单位详细
export function getWlaqzcqy(id) {
  return request({
    url: '/tcZz/networkEcology/wlaqzcqy/' + id,
    method: 'get'
  })
}

// 新增网络安全支持单位
export function addWlaqzcqy(data) {
  return request({
    url: '/tcZz/networkEcology/wlaqzcqy',
    method: 'post',
    data: data
  })
}

// 修改网络安全支持单位
export function updateWlaqzcqy(data) {
  return request({
    url: '/tcZz/networkEcology/wlaqzcqy',
    method: 'put',
    data: data
  })
}

// 删除网络安全支持单位
export function delWlaqzcqy(id) {
  return request({
    url: '/tcZz/networkEcology/wlaqzcqy/' + id,
    method: 'delete'
  })
}
